path: /build/build/gentoo-syntax-app-vim-20190609.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-vim/gentoo-syntax -pv -t && \
    emerge -j ${JOBS} --nodeps app-vim/gentoo-syntax
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gentoo-syntax && luet-portage --dir
    /pkgdir/gentoo-syntax app-vim/gentoo-syntax && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:23b0854e2727961e9dbecccabd7fc41dc7e20fd9fb7b921f6970c8252b6e8847
  package:
    name: gentoo-syntax
    version: "20190609"
    category: app-vim
    requires:
    - name: vim
      version: '>=0'
      category: app-editors
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: 'vim plugin: Gentoo and Portage syntax highlighting'
    uri:
    - https://github.com/gentoo/gentoo-syntax
    license: vim
    buildtimestamp: 2023-08-22 12:56:53.815762248 +0000 UTC m=+70.189242506
    labels:
      DEPEND: '|| ( >=app-editors/vim-7.3 >=app-editors/gvim-7.3 )'
      IUSE: ignore-glep31
      RDEPEND: '|| ( >=app-editors/vim-7.3 >=app-editors/gvim-7.3 )'
      emerge.packages: app-vim/gentoo-syntax
      kit: editors-kit
      original.package.name: app-vim/gentoo-syntax
      original.package.slot: "0"
      original.package.version: "20190609"
    treedir: /build/packages
  package_dir: /pkgdir/gentoo-syntax
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 8c4b3f5edb632d1d551a9b651a8215e0ca240de401ba106493a817dc0bc0e945
compressiontype: zstd
files:
- usr/share/doc/gentoo-syntax-20190609/COPYING.bz2
- usr/share/doc/gentoo-syntax-20190609/README.rst.bz2
- usr/share/vim/vimfiles/doc/gentoo-syntax.txt
- usr/share/vim/vimfiles/ftdetect/gentoo.vim
- usr/share/vim/vimfiles/ftplugin/ebuild.vim
- usr/share/vim/vimfiles/ftplugin/gentoo-changelog.vim
- usr/share/vim/vimfiles/ftplugin/gentoo-conf-d.vim
- usr/share/vim/vimfiles/ftplugin/gentoo-env-d.vim
- usr/share/vim/vimfiles/ftplugin/gentoo-init-d.vim
- usr/share/vim/vimfiles/ftplugin/gentoo-make-conf.vim
- usr/share/vim/vimfiles/ftplugin/gentoo-metadata.vim
- usr/share/vim/vimfiles/ftplugin/gentoo-package-keywords.vim
- usr/share/vim/vimfiles/ftplugin/gentoo-package-license.vim
- usr/share/vim/vimfiles/ftplugin/gentoo-package-mask.vim
- usr/share/vim/vimfiles/ftplugin/gentoo-package-properties.vim
- usr/share/vim/vimfiles/ftplugin/gentoo-package-use.vim
- usr/share/vim/vimfiles/ftplugin/gentoo-use-desc.vim
- usr/share/vim/vimfiles/indent/ebuild.vim
- usr/share/vim/vimfiles/indent/gentoo-metadata.vim
- usr/share/vim/vimfiles/plugin/gentoo-common.vim
- usr/share/vim/vimfiles/plugin/newebuild.vim
- usr/share/vim/vimfiles/plugin/newglep.vim
- usr/share/vim/vimfiles/plugin/newinitd.vim
- usr/share/vim/vimfiles/plugin/newmetadata.vim
- usr/share/vim/vimfiles/syntax/ebuild.vim
- usr/share/vim/vimfiles/syntax/gentoo-changelog.vim
- usr/share/vim/vimfiles/syntax/gentoo-common.vim
- usr/share/vim/vimfiles/syntax/gentoo-conf-d.vim
- usr/share/vim/vimfiles/syntax/gentoo-env-d.vim
- usr/share/vim/vimfiles/syntax/gentoo-init-d.vim
- usr/share/vim/vimfiles/syntax/gentoo-make-conf.vim
- usr/share/vim/vimfiles/syntax/gentoo-metadata.vim
- usr/share/vim/vimfiles/syntax/gentoo-mirrors.vim
- usr/share/vim/vimfiles/syntax/gentoo-package-common.vim
- usr/share/vim/vimfiles/syntax/gentoo-package-keywords.vim
- usr/share/vim/vimfiles/syntax/gentoo-package-license.vim
- usr/share/vim/vimfiles/syntax/gentoo-package-mask.vim
- usr/share/vim/vimfiles/syntax/gentoo-package-properties.vim
- usr/share/vim/vimfiles/syntax/gentoo-package-use.vim
- usr/share/vim/vimfiles/syntax/gentoo-use-desc.vim
- usr/share/vim/vimfiles/syntax/glep.vim
- usr/share/vim/vimfiles/syntax/guidexml.vim
- var/db/pkg/app-vim/gentoo-syntax-20190609/BUILD_TIME
- var/db/pkg/app-vim/gentoo-syntax-20190609/CATEGORY
- var/db/pkg/app-vim/gentoo-syntax-20190609/CBUILD
- var/db/pkg/app-vim/gentoo-syntax-20190609/CFLAGS
- var/db/pkg/app-vim/gentoo-syntax-20190609/CHOST
- var/db/pkg/app-vim/gentoo-syntax-20190609/CONTENTS
- var/db/pkg/app-vim/gentoo-syntax-20190609/COUNTER
- var/db/pkg/app-vim/gentoo-syntax-20190609/CXXFLAGS
- var/db/pkg/app-vim/gentoo-syntax-20190609/DEFINED_PHASES
- var/db/pkg/app-vim/gentoo-syntax-20190609/DEPEND
- var/db/pkg/app-vim/gentoo-syntax-20190609/DESCRIPTION
- var/db/pkg/app-vim/gentoo-syntax-20190609/EAPI
- var/db/pkg/app-vim/gentoo-syntax-20190609/FEATURES
- var/db/pkg/app-vim/gentoo-syntax-20190609/HOMEPAGE
- var/db/pkg/app-vim/gentoo-syntax-20190609/INHERITED
- var/db/pkg/app-vim/gentoo-syntax-20190609/IUSE
- var/db/pkg/app-vim/gentoo-syntax-20190609/IUSE_EFFECTIVE
- var/db/pkg/app-vim/gentoo-syntax-20190609/KEYWORDS
- var/db/pkg/app-vim/gentoo-syntax-20190609/LDFLAGS
- var/db/pkg/app-vim/gentoo-syntax-20190609/LICENSE
- var/db/pkg/app-vim/gentoo-syntax-20190609/PF
- var/db/pkg/app-vim/gentoo-syntax-20190609/RDEPEND
- var/db/pkg/app-vim/gentoo-syntax-20190609/SIZE
- var/db/pkg/app-vim/gentoo-syntax-20190609/SLOT
- var/db/pkg/app-vim/gentoo-syntax-20190609/USE
- var/db/pkg/app-vim/gentoo-syntax-20190609/environment.bz2
- var/db/pkg/app-vim/gentoo-syntax-20190609/gentoo-syntax-20190609.ebuild
- var/db/pkg/app-vim/gentoo-syntax-20190609/repository
package_cacheimage: ""
runtime:
  name: gentoo-syntax
  version: "20190609"
  category: app-vim
  requires:
  - name: vim
    version: '>=0'
    category: app-editors
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: 'vim plugin: Gentoo and Portage syntax highlighting'
  uri:
  - https://github.com/gentoo/gentoo-syntax
  license: vim
  labels:
    DEPEND: '|| ( >=app-editors/vim-7.3 >=app-editors/gvim-7.3 )'
    IUSE: ignore-glep31
    RDEPEND: '|| ( >=app-editors/vim-7.3 >=app-editors/gvim-7.3 )'
    emerge.packages: app-vim/gentoo-syntax
    kit: editors-kit
    original.package.name: app-vim/gentoo-syntax
    original.package.slot: "0"
    original.package.version: "20190609"
